telemetry.internal.browser.user_agent | index telemetry/internal/browser/user_agent.py

`# Copyright 2012 The Chromium Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.`

Functions
`` |  | GetChromeUserAgentArgumentFromType(user_agent_type) `Returns a chrome user agent based on a user agent type. This is derived from: https://developers.google.com/chrome/mobile/docs/user-agent`

Data
`` |  | UA_TYPE_MAPPING = {'desktop': 'Mozilla/5.0 (Macintosh; Intel Mac OS X 10_7_3) A...TML, like Gecko) Chrome/40.0.2194.2 Safari/537.36', 'mobile': 'Mozilla/5.0 (Linux; Android 4.0.4; Galaxy Nexus ...ke Gecko) Chrome/40.0.2194.2 Mobile Safari/535.36', 'tablet': 'Mozilla/5.0 (Linux; Android 4.0.4; Galaxy Nexus ...TML, like Gecko) Chrome/40.0.2194.2 Safari/535.36', 'tablet_10_inch': 'Mozilla/5.0 (Linux; Android 4.0.4; Galaxy Nexus ...TML, like Gecko) Chrome/40.0.2194.2 Safari/535.36'}